org.apache.solr.search.facet

## Class FacetBucket

- java.lang.Object
- - org.apache.solr.search.facet.FacetBucket

-     public class FacetBucket
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FacetBucket(org.apache.solr.search.facet.FacetBucketMerger parent, Comparable bucketValue, FacetMerger.Context mcontext)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getCount()`
    `SimpleOrderedMap` | `getMergedBucket()`
    `Map<String,Object>` | `getRefinement(FacetMerger.Context mcontext, Collection<String> refineTags)`
    `Map<String,Object>` | `getRefinement2(FacetMerger.Context mcontext, Collection<String> refineTags)`
    `void` | `mergeBucket(SimpleOrderedMap bucket, FacetMerger.Context mcontext)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FacetBucket

          public FacetBucket(org.apache.solr.search.facet.FacetBucketMerger parent,
                             Comparable bucketValue,
                             FacetMerger.Context mcontext)

  - ### Method Detail

    - #### getCount

          public long getCount()

    - #### mergeBucket

          public void mergeBucket(SimpleOrderedMap bucket,
                                  FacetMerger.Context mcontext)

    - #### getMergedBucket

          public SimpleOrderedMap getMergedBucket()

    - #### getRefinement

          public Map<String,Object> getRefinement(FacetMerger.Context mcontext,
                                                  Collection<String> refineTags)

    - #### getRefinement2

          public Map<String,Object> getRefinement2(FacetMerger.Context mcontext,
                                                   Collection<String> refineTags)

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.